> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent

## Delete Agent

Delete an agent. Users can only delete their own agents.

<ParamField path="path" name="id" type="string" required>
  Agent ID (numeric or ElevenLabs agent ID)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.example.com/api/v1/agents/123" \
    -H "X-API-Key: your-api-key-here"
  ```

  ```javascript JavaScript theme={null}
  const agentId = '123';
  const response = await fetch(`https://api.example.com/api/v1/agents/${agentId}`, {
    method: 'DELETE',
    headers: {
      'X-API-Key': 'your-api-key-here'
    }
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  agent_id = '123'
  headers = {
      'X-API-Key': 'your-api-key-here'
  }

  response = requests.delete(
      f'https://api.example.com/api/v1/agents/{agent_id}',
      headers=headers
  )

  data = response.json()
  ```
</RequestExample>

## Response

<ResponseField name="status" type="object">
  Response status information

  <ResponseField name="code" type="integer">
    HTTP status code (200)
  </ResponseField>

  <ResponseField name="message" type="string">
    Status message
  </ResponseField>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": {
      "code": 200,
      "message": "Agent deleted successfully"
    }
  }
  ```
</ResponseExample>

## Error Responses

<ResponseField name="401" type="object">
  Unauthorized - Invalid or missing authentication
</ResponseField>

<ResponseField name="404" type="object">
  Agent not found
</ResponseField>
